#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	GNU Find Utilities (find, xargs)
Summary(de.UTF-8):	GNU-Suchprogramme (find, xargs)
Summary(es.UTF-8):	Utilitarios de búsqueda de la GNU
Summary(fr.UTF-8):	Utilitaires de recherche de GNU (find, xargs)
Summary(pl.UTF-8):	Narzędzia GNU do odnajdywania plików (find, xargs)
Summary(pt_BR.UTF-8):	Utilitários de procura da GNU
Summary(tr.UTF-8):	GNU dosya arama araçları
Name:		findutils
Version:	4.6.0
Release:	2
Epoch:		1
License:	GPL v3+
Group:		Applications/File
# development versions at ftp://alpha.gnu.org/gnu/findutils/
Source0:	http://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
# Source0-md5:	9936aa8009438ce185bea2694a997fc1
#Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	e76388b0c3218eec3557d05ccd6d6515
Patch0:		findutils-4.6.0-exec-args.patch
Patch1:		%{name}-man-selinux.patch
Patch2:		%{name}-info.patch
# http://translationproject.org/latest/findutils/pl.po
Patch3:		%{name}-pl.po-update.patch
Patch4:		findutils-4.6.0-mbrtowc-tests.patch
URL:		http://www.gnu.org/software/findutils/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.14.5
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The findutils package contains programs which will help you locate
files on your system. The find utility searches through a hierarchy of
directories looking for files which match a certain set of criteria
(such as a filename pattern). The locate utility searches a database
(create by updatedb) to quickly find a file matching a given pattern.
The xargs utility builds and executes command lines from standard
input arguments (usually lists of file names generated by the find
command).

%description -l de.UTF-8
Das findutils-Paket enthält Programme, die dabei helfen, Dateien auf
Ihrem System zu finden. Das Find-Utility durchsucht die
Verzeichnishierarchie nach Dateien, die zu bestimmten Kriterien (z.B.
Dateiname) passen. Das locate-Utility durchsucht eine Datenbank
(erzeugt durch updatedb), um die Dateien schneller finden zu können.
xargs konstruiert Kommandozeilen von der Standardeingabe (z.B.
Dateilisten, die von find erzeugt werden), und führt sie aus.

%description -l es.UTF-8
Este paquete contiene programas para ayúdalo a localizar archivos en
tu sistema. El programa find puede pesquisar, a través de una
jerarquía de directorios, buscando por archivos que obedezcan a un
cierto conjunto de criterios (como nombre de archivo modelo).

%description -l fr.UTF-8
Ce package contient des programmes pour vous aider à localiser des
fichiers sur votre système. Le programme find peut rechercher à
travers une hiérarchie de répertoires des fichiers conformes à
certains critères (comme un type de nom).

%description -l pl.UTF-8
W pakiecie znajdują się narzędzia pozwalające na poszukiwanie
określonych plików. Program find służy do poszukiwania w drzewie
katalogów plików o określonych parametrach, jak nazwa, uprawnienia,
typ czy data ostatniej modyfikacji.

%description -l pt_BR.UTF-8
Esse pacote contém programas para ajudá-lo a localizar arquivos em seu
sistema. O programa find pode procurar através de uma hierarquia de
diretórios procurando por arquivos que obedeçam um certo conjunto de
critérios (como nome de arquivo modelo).

%description -l tr.UTF-8
Bu pakette yer alan yazılımlar sisteminizde yer alan dosyaları
bulabilmeniz için hazırlanmışlardır. find programı ile belirli
özellikleri olan bir yazılımı bir dizin hiyerarşisi altında
arayabilirsiniz.

%prep
%setup -q
%patch0 -p1
# patch1 is applied in install stage
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__rm} po/stamp-po

%build
%{__aclocal} -I gl/m4 -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__with_without selinux}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{?with_selinux:patch -p0 -d $RPM_BUILD_ROOT%{_mandir} < %{PATCH1}}

# xargs is wanted in /bin
install -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/xargs $RPM_BUILD_ROOT/bin

# useless in binary package
%{__rm} $RPM_BUILD_ROOT%{_infodir}/find-maint.info*

# unpackaged locate
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{locate,updatedb} \
	$RPM_BUILD_ROOT%{_libdir}/{bigram,code,frcode} \
	$RPM_BUILD_ROOT%{_mandir}/{,*/}man?/{locate.1,updatedb.1,locatedb.5}*

rm -f $RPM_BUILD_ROOT{%{_infodir}/dir,%{_mandir}/README.findutils-non-english-man-pages}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/find
%attr(755,root,root) /bin/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%lang(de) %{_mandir}/de/man1/[fx]*
%lang(es) %{_mandir}/es/man1/[fx]*
%lang(fi) %{_mandir}/fi/man1/[fx]*
%lang(fr) %{_mandir}/fr/man1/[fx]*
%lang(hu) %{_mandir}/hu/man1/[fx]*
%lang(it) %{_mandir}/it/man1/[fx]*
%lang(ja) %{_mandir}/ja/man1/[fx]*
%lang(nl) %{_mandir}/nl/man1/[fx]*
%lang(pl) %{_mandir}/pl/man1/[fx]*
%lang(zh_CN) %{_mandir}/zh_CN/man1/[fx]*
%{_infodir}/find.info*
%changelog
* Sat Jun 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/findutils.git;a=log;h=master

* Sat Jun 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c1fc3
- one more fix from fc

* Sat Jun 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d44078
- rel 2; exec fix from fc/upstream

* Sun Jan 24 2016 Jakub Bogusz <qboosh@pld-linux.org> a2caf12
- updated info patch (remaining parts are PLD-specific, as described in devel-hints-*)
- fixed pl.po-update patch (there is no 4.6.0 release on TP, so updated manually)

* Sun Jan 24 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 29a3768
- up to 4.6.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> edb29a9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 0bbe857
- add x32 fixes from debian

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 027991f
- add info fixes from debian

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d7c1548
- updated gettext BR

* Thu Jun 21 2012 Jacek Konieczny <jajcus@pld-linux.org> ea064a2
- automake 1.12 patch

* Sat Feb 05 2011 Jakub Bogusz <qboosh@pld-linux.org> fe8a0ce
- readding missing patches

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b5ed252
- dropped pre-cvs changelog

* Thu Nov 04 2010 Jakub Bogusz <qboosh@pld-linux.org> 9ed4fcc
- updated info,pl.po-update patches are back

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ff7752
- up to 4.4.2

* Wed Nov 19 2008 Elan Ruusamäe <glen@pld-linux.org> 33c56a8
- release 2

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 96fce7d
- unify ftp.gnu.org urls

* Tue Mar 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 804ac91
- updated to 4.4.0
- updated info,selinux patches, added pl.po-update patch

* Tue Mar 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 72db70f
- updated for 4.4.0

* Sun Feb 17 2008 Jakub Bogusz <qboosh@pld-linux.org> f1df5f4
- updated to 4.2.33
- removed obsolete pl.po-update patch

* Sun Feb 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 2f4ab23
- obsolete

* Fri Jan 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 2d1075e
- updated to 4.2.32 (GPL v3; fixes find -ls memory corruption)
- updated pl.po-update,info,selinux patches

